当前位置:论坛首页 > BUG提交 > Linux面板

【待反馈】File "class/flask_sockets.py", line 30, in __call__

发表在 BUG提交2021-1-15 15:53 [复制链接] 5 91

系统版本:CentOS 8.2.2004(Py3.7.8) 
宝塔版本:宝塔Linux正式版 7.4.8
问题:以前正常,今天用 java一键部署项目 创建了一个项目 再上传了项目的时候 服务器无一直无响应,最后重启了以后发生以下错误
抱歉,出错了:
Traceback (most recent call last):
File "class/flask_sockets.py", line 30, in __call__
handler, values = adapter.match()
File "/www/server/panel/pyenv/lib/python3.7/site-packages/werkzeug/routing.py", line 1945, in match
raise NotFound()
werkzeug.exceptions.NotFound: 404 Not Found: The requested URL was not found on the server. If you entered the URL manually please check your spelling and try again.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "class/panelPlugin.py", line 1948, in a
return eval(execStr)
File "", line 1, in
File "plugin/java_manager/java_manager_main.py", line 207, in get_services
tomcat_services = tomcat_manager().get_tomcat_services()
File "plugin/java_manager/tomcat_manager.py", line 490, in get_tomcat_services
tmp['status'] = self.GetServer('tomcat8')
File "plugin/java_manager/tomcat_manager.py", line 429, in GetServer
pid = int(public.ReadFile(pid_path).strip())
ValueError: invalid literal for int() with base 10: '891\n13'
求解决
使用道具 举报 只看该作者 回复
发表于 2021-1-15 16:00:18 | 显示全部楼层
重装 paramiko 也不行
修复也不行
更新已经是最新的了
可有偿
使用道具 举报 回复 支持 反对
发表于 2021-1-15 16:14:44 | 显示全部楼层
fan99011 发表于 2021-1-15 16:00
重装 paramiko 也不行
修复也不行
更新已经是最新的了

您好,ssh内执行下面命令看看安装日志

  1. cat /tmp/panelShell.pl
复制代码
使用道具 举报 回复 支持 反对
发表于 2021-1-15 16:24:09 | 显示全部楼层
谢花郎 发表于 2021-1-15 16:14
您好,ssh内执行下面命令看看安装日志

1.png 2.png
使用道具 举报 回复 支持 反对
发表于 2021-1-15 18:00:33 | 显示全部楼层

可以了,你现在看看。
使用道具 举报 回复 支持 反对
发表于 2021-2-4 18:02:37 | 显示全部楼层
怎么解决的?
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表